## org.apache.mahout.ga.watchmaker
Class MahoutFitnessEvaluator<T>

    java.lang.Object
      org.apache.mahout.ga.watchmaker.STFitnessEvaluator<T>
          org.apache.mahout.ga.watchmaker.MahoutFitnessEvaluator<T>

All Implemented Interfaces:
  org.uncommons.watchmaker.framework.FitnessEvaluator<T>

    public class MahoutFitnessEvaluator<T>

extends STFitnessEvaluator<T>

Watchmaker compatible Fitness Evaluator that delegates the evaluation of the whole population to Mahout.

Constructor Summary
`MahoutFitnessEvaluator(org.uncommons.watchmaker.framework.FitnessEvaluator<? super T> evaluator)`

Method Summary
`protected void` `evaluate(java.util.List<? extends T> population, java.util.List<java.lang.Double> evaluations)`
`boolean` `isNatural()`

Methods inherited from class org.apache.mahout.ga.watchmaker.STFitnessEvaluator
`getFitness`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MahoutFitnessEvaluator

    public MahoutFitnessEvaluator(org.uncommons.watchmaker.framework.FitnessEvaluator<? super T> evaluator)

Method Detail

### evaluate

    protected void evaluate(java.util.List<? extends T> population,
                            java.util.List<java.lang.Double> evaluations)

  Specified by:
    `evaluate` in class `STFitnessEvaluator<T>`

### isNatural

    public boolean isNatural()

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.